Skip to main content
PUT
/
events
/
field
/
{field_id}
Update Field
curl --request PUT \
  --url https://api.swoogo.com/api/v1/events/field/{field_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data allow_html= \
  --data choices= \
  --data name= \
  --data required= \
  --data s_button_text= \
  --data s_link_collection_fields= \
  --data s_max_links= \
  --data s_url_display_format= \
  --data s_url_image_id= \
  --data sort= \
  --data type= \
  --data visible=
{
  "name": "Unauthorized",
  "message": "Your request was made with invalid credentials.",
  "code": 0,
  "status": 401
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

field_id
integer
required

integer - required - The ID of the field you want to update

Example:

1

Body

application/x-www-form-urlencoded
allow_html
string
Example:

""

choices
string
Example:

""

name
string
Example:

""

required
string
Example:

""

s_button_text
string
Example:

""

Example:

""

Example:

""

s_url_display_format
string
Example:

""

s_url_image_id
string
Example:

""

sort
string
Example:

""

type
string
Example:

""

visible
string
Example:

""

Response